Package in.cdac.medinfo.csnotk.csnolib.ecl.constraint

## Class SSubExpressionConstraint

- java.lang.Object
- - org.snomed.langauges.ecl.domain.expressionconstraint.SubExpressionConstraint
  - - in.cdac.medinfo.csnotk.csnolib.ecl.constraint.SSubExpressionConstraint

- All Implemented Interfaces:
    `SConstraint`, `org.snomed.langauges.ecl.domain.expressionconstraint.ExpressionConstraint`, `org.snomed.langauges.ecl.domain.refinement.Refinement`

      public class SSubExpressionConstraint
      extends org.snomed.langauges.ecl.domain.expressionconstraint.SubExpressionConstraint
      implements SConstraint

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSubExpressionConstraint​(org.snomed.langauges.ecl.domain.refinement.Operator operator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConceptFilterConstraint​(org.snomed.langauges.ecl.domain.filter.ConceptFilterConstraint conceptFilterConstraint)` |
    `void` | `addDescriptionFilterConstraint​(org.snomed.langauges.ecl.domain.filter.DescriptionFilterConstraint descriptionFilterConstraint)` |
    `void` | `addMemberFilterConstraint​(org.snomed.langauges.ecl.domain.filter.MemberFilterConstraint memberFilterConstraint)` |
    `java.util.Set<Concept>` | `addQuery()` |
    `java.util.Set<java.lang.String>` | `getConceptIds()` |

    - ### Methods inherited from class org.snomed.langauges.ecl.domain.expressionconstraint.SubExpressionConstraint

      `getConceptFilterConstraints, getConceptId, getDescriptionFilterConstraints, getHistorySupplement, getMemberFieldsToReturn, getMemberFilterConstraints, getNestedExpressionConstraint, getOperator, getTerm, isReturnAllMemberFields, isWildcard, setConceptId, setDescriptionFilterConstraints, setHistorySupplement, setMemberFieldsToReturn, setMemberFilterConstraints, setNestedExpressionConstraint, setReturnAllMemberFields, setTerm, setWildcard, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSubExpressionConstraint

          public SSubExpressionConstraint​(org.snomed.langauges.ecl.domain.refinement.Operator operator)

  - ### Method Detail

    - #### addQuery

          public java.util.Set<Concept> addQuery()

      Specified by:
        `addQuery` in interface `SConstraint`

    - #### addConceptFilterConstraint

          public void addConceptFilterConstraint​(org.snomed.langauges.ecl.domain.filter.ConceptFilterConstraint conceptFilterConstraint)

      Overrides:
        `addConceptFilterConstraint` in class `org.snomed.langauges.ecl.domain.expressionconstraint.SubExpressionConstraint`

    - #### addDescriptionFilterConstraint

          public void addDescriptionFilterConstraint​(org.snomed.langauges.ecl.domain.filter.DescriptionFilterConstraint descriptionFilterConstraint)

      Overrides:
        `addDescriptionFilterConstraint` in class `org.snomed.langauges.ecl.domain.expressionconstraint.SubExpressionConstraint`

    - #### addMemberFilterConstraint

          public void addMemberFilterConstraint​(org.snomed.langauges.ecl.domain.filter.MemberFilterConstraint memberFilterConstraint)

      Overrides:
        `addMemberFilterConstraint` in class `org.snomed.langauges.ecl.domain.expressionconstraint.SubExpressionConstraint`

    - #### getConceptIds

          public java.util.Set<java.lang.String> getConceptIds()

      Specified by:
        `getConceptIds` in interface `SConstraint`